Bug 91684 - Frozen IDE when you try to create a new project
Frozen IDE when you try to create a new project
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Pokorsky
issues@java
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-02 14:46 UTC by Fabiola Rios
Modified: 2007-01-17 10:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
comma (30.78 KB, text/plain)
2007-01-02 14:48 UTC, Fabiola Rios
Details
excep. (19.80 KB, text/plain)
2007-01-08 10:39 UTC, Fabiola Rios
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabiola Rios 2007-01-02 14:46:50 UTC
build 010111

Create a new project when you press Finish button the IDE is frozen.
See attachment
Comment 1 Fabiola Rios 2007-01-02 14:48:26 UTC
Created attachment 36977 [details]
comma
Comment 2 Lukas Hasik 2007-01-03 10:08:43 UTC
deadlock -> P2 + keyword
Comment 3 Adam Sotona 2007-01-05 10:40:36 UTC
fixed by making J2MEEditorSupport more lazy and build scripts construction
asynchronous
Comment 4 Fabiola Rios 2007-01-08 10:37:39 UTC
build 070108

deadlock when you create a new project. see attachment.


Comment 5 Fabiola Rios 2007-01-08 10:39:50 UTC
Created attachment 37134 [details]
excep.
Comment 6 David Kaspar 2007-01-08 14:39:15 UTC
Fixed in mvd.editors.Designer class constructor - initialization is postponed in
to request processor.
Comment 7 Adam Sotona 2007-01-08 14:46:20 UTC
This issue has to be fixed also on JavaCore side otherwise we may expect more
deadlock from the same reason.
Comment 8 Adam Sotona 2007-01-08 14:52:14 UTC
DataObject invalidation notification has to be performed asynchronously in
org.netbeans.api.java.source.JavaSource$DataObjectListener.propertyChange(JavaSource.java:1338)
to avoid any accidental calls of FileOwnerQuery from the DataObject construction
thread.
Comment 9 Jan Pokorsky 2007-01-08 16:46:27 UTC
fixed in
/cvs/java/source/src/org/netbeans/api/java/source/JavaSource.java
new revision: 1.28; previous revision: 1.27


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo